IcedTea-Web NetX

## javax.jnlp
Interface FileContents

    public interface FileContents

Method Summary
`boolean` `canRead()`
`boolean` `canWrite()`
`java.io.InputStream` `getInputStream()`
`long` `getLength()`
`long` `getMaxLength()`
`java.lang.String` `getName()`
`java.io.OutputStream` `getOutputStream(boolean overwrite)`
`JNLPRandomAccessFile` `getRandomAccessFile(java.lang.String mode)`
`long` `setMaxLength(long maxlength)`

Method Detail

### getName

    java.lang.String getName()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getOutputStream

    java.io.OutputStream getOutputStream(boolean overwrite)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLength

    long getLength()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### canRead

    boolean canRead()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### canWrite

    boolean canWrite()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRandomAccessFile

    JNLPRandomAccessFile getRandomAccessFile(java.lang.String mode)
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMaxLength

    long getMaxLength()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### setMaxLength

    long setMaxLength(long maxlength)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

IcedTea-Web NetX

Submit a bug or feature